VTK: Accelerators/Vtkm/Core/vtkmDataArray.h File Reference

| VTK 9.3.1

Classes | Namespaces | Functions | Variables
vtkmDataArray.h File Reference
`#include "vtkAcceleratorsVTKmCoreModule.h"`
`#include "vtkGenericDataArray.h"`
`#include "vtkmConfigCore.h"`
`#include <vtkm/VecTraits.h>`
`#include <vtkm/cont/ArrayHandle.h>`
`#include <vtkm/cont/UnknownArrayHandle.h>`
`#include <memory>`
`#include "vtkmlib/vtkmDataArray.hxx"`
Include dependency graph for vtkmDataArray.h:

Go to the source code of this file.

## Classes
class | vtkmDataArray< T >
| Wraps a VTK-m `ArrayHandle` inside a sub-class of `vtkGenericDataArray`. More...

## Namespaces
| internal

## Functions
template<typename T , typename S >
vtkmDataArray< typename vtkm::VecTraits< T >::BaseComponentType > * | make_vtkmDataArray (const vtkm::cont::ArrayHandle< T, S > &ah)

## Variables
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< char >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< double >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< float >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< int >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< long >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< long long >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< short >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< signed char >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< unsigned char >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< unsigned int >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< unsigned long >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< unsigned long long >
template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT | vtkmDataArray< unsigned short >

## Function Documentation

## ◆ make_vtkmDataArray()

template<typename T , typename S >

vtkmDataArray<typename vtkm::VecTraits<T>::BaseComponentType>* make_vtkmDataArray | ( | const vtkm::cont::ArrayHandle< T, S > & | ah | ) |
| inline

Definition at line 117 of file vtkmDataArray.h.

## Variable Documentation

## ◆ vtkmDataArray< char >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< char >
| extern

## ◆ vtkmDataArray< double >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< double >
| extern

## ◆ vtkmDataArray< float >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< float >
| extern

## ◆ vtkmDataArray< int >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< int >
| extern

## ◆ vtkmDataArray< long >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< long >
| extern

## ◆ vtkmDataArray< long long >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< long long >
| extern

## ◆ vtkmDataArray< short >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< short >
| extern

## ◆ vtkmDataArray< signed char >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< signed char >
| extern

## ◆ vtkmDataArray< unsigned char >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< unsigned char >
| extern

## ◆ vtkmDataArray< unsigned int >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< unsigned int >
| extern

## ◆ vtkmDataArray< unsigned long >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< unsigned long >
| extern

## ◆ vtkmDataArray< unsigned long long >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< unsigned long long >
| extern

## ◆ vtkmDataArray< unsigned short >

template class VTKACCELERATORSVTKMCORE_TEMPLATE_EXPORT vtkmDataArray< unsigned short >
| extern